/* style.css */
html, body {
    height: 100%;
    overflow: hidden;
    margin: 0;
    padding: 0;
}

.video-container {
    position: relative;
    width: 100%;
    height: 100vh;
}

video {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    min-width: 100%;
    min-height: 100%;
    width: auto;
    height: auto;
    z-index: -1;
}

.video-container {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, .5);
    z-index: 1;
}
a {
    text-decoration: none;
}

a:hover {
    outline: none;
    border: 2px solid white; /* Agrega un borde blanco al pasar el ratón */
}

.button-container {
    position: absolute;
    top: 46%;
    left: 46%;
    transform: translate(-10%, -10%);
    z-index: 2;
}

button {
    padding: 104px;
    background-color: transparent;
    border: none;
    color: white;
    cursor: pointer;
    display: block;
    background-image: url(LogoWebInicio2.png);
    background-size: cover;
    transition: transform 0.5s ease-in-out; /* Agrega una transición para un efecto suave */
}

.button-text {
    display: none;
    text-align: center;
    margin-top: 10px;
    font-size: 16px;
    color: white;
}

.button-container:hover .button-text {
    display: block;
}

.button-container:hover button {
    transform: scale(1.2); /* Aplica la animación de escala al pasar el ratón sobre el botón */
}

.button-container {
    position: relative;
    display: inline-block;
    overflow: hidden;
}

/* ... Tu CSS existente ... */

.button-container::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background: radial-gradient(circle at center, transparent 0%, rgba(255, 255, 255, 0.4) 50%, transparent 100%);
    transform: scale(0);
    transform-origin: center;
    transition: transform 0.5s ease-in-out;
    pointer-events: none;
    border-radius: 50%; /* Hace que el pseudo-elemento sea circular */
}

.button-container:hover::before {
    transform: scale(5); /* Ajusta el valor según lo que desees */
}

/* ... Tu CSS existente ... */

#textElement {
    position: absolute;
    top: 65%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: rgb(255, 255, 255);
    font-size: 54px;
    text-align: center;
}

@media only screen and (max-width: 564px) {


    button {
        padding: 75px;
        background-color: transparent;
        border: none;
        color: white;
        cursor: pointer;
        display: block;
        background-image: url(LogoWebInicio2.png);
        background-size: cover;
        transition: transform 0.5s ease-in-out;
    }

    .button-container {
        position: absolute;
        top: 4%;
        left: 34%;
        transform: translate(-10%, -10%);
        z-index: 2;
    }
}